Subject: Re: bug#72781: Emacs 29 for Windows: Uninstall.exe deletes everything in the same folder as it.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 18:26:49 +0300

> From: Corwin Brust <[email-masked]>
> Date: Sat, 24 Aug 2024 10:06:11 -0500
> Cc: [email-masked]
> 
> I would like to install this directly to the release branch.  I
> believe we had discussed doing so when the release branch was for
> Emacs 29 but please tell me if this must go to the development branch,
> instead.   As I suspect you are aware, the change here is specifically
> to the NSIS script within admin/nt/dist-build and thus cannot affect
> other than the installer for Windows.  Moreover, as this issue
> potentially causes Emacs to unexpectedly delete files I think it is
> rather serious.  If my changes cause further problems I expect to "fix
> and fall forward"; so, while I'm confident -existing patch, previously
> tested- it's possible this will not be the "one-and-done" I expect.
> 
> Please let me know I must apply to the main branch (for Emacs 31), instead.

It's okay to install this on the emacs-30 release branch, thanks.